{ config, pkgs, ... }:

{
  # Import NUR.
  #nixpkgs.config.packageOverrides = pkgs: {
  #  nur = import (builtins.fetchTarball "https://github.com/nix-community/NUR/archive/master.tar.gz") {
  #    inherit pkgs;
  #  };
  #};

  # Import NUR with niv.
  nixpkgs.config.packageOverrides = pkgs: {
    nur = import (import ../nix/sources.nix).NUR {
      inherit pkgs;
    };
  };

  # Test if NUR was imported successfully.
  #environment.systemPackages = with pkgs; [
  #  nur.repos.mic92.hello-nur
  #];
}
